Generate AI images using ByteDance SeeDream 5.0 Lite with support for up to 14 reference images and resolutions up to 3K.

Model

bytedance/seedream-5.0-lite

Parameters

ParameterTypeRequiredDescription
promptstringYesText description of the image to generate
image_urlsarrayNoReference image URLs (up to 14)
resolutionstringNo2k (default) or 3k
aspect_ratiostringNoImage aspect ratio (default: 1:1)
seedintegerNoSeed for reproducibility

Example - Text-to-Image

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "bytedance/seedream-5.0-lite",
    "input": {
      "prompt": "A serene mountain landscape at golden hour",
      "resolution": "3k",
      "aspect_ratio": "16:9"
    }
  }'

Example - Image-to-Image

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "bytedance/seedream-5.0-lite",
    "input": {
      "prompt": "Enhance with vibrant colors and cinematic lighting",
      "image_urls": ["https://example.com/reference.jpg"],
      "resolution": "3k",
      "aspect_ratio": "1:1"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}

Pricing

ResolutionPrice
2K$0.04
3K$0.04